Public Class ReportaProgresso
    Public Event ProgressoReportado As EventHandler(Of ReportaProgressoEventArgs)

    Public Property ValorInicial As UInteger
    Public Property ValorFinal As UInteger

    Public Sub Reportar(progresso As UInteger)
        RaiseEvent ProgressoReportado(Me, New ReportaProgressoEventArgs(progresso))
    End Sub

    Public Sub Reportar(progresso As UInteger, mensagem As String)
        RaiseEvent ProgressoReportado(Me, New ReportaProgressoEventArgs(progresso, mensagem))
    End Sub
End Class
